/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: Session.java,v 1.3 2001/08/20 09:23:38 max Exp $
 *
 */

package make.datamodel.auth;

/**
 * Session represents the session of a user that has logged
 * into a Realm.
 */
public interface Session {
    /**
     * Returns the Realm where this object is valid.
     */
    Realm getRealm();
    /**
     * Returns the session's id.
     */
    Object getId();
    /**
     * Returns the username.
     */
    String getName();
    /**
     * Checks if the user has a privilege on an object.
     * @param target the target which the user tries to manipulate
     * @param privilege the privilege that has to be checked
     */
    boolean hasPrivilege(Object target, Object privilege);
}
