/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: HashtableSlotContainer.java,v 1.4 2001/08/20 09:23:38 max Exp $
 *
 */

package make.datamodel.slot;

import java.util.Hashtable;

/**
 * This SlotContainer implementation stores its data in a Hashtable.
 * When asked for a Slot object, it instantiates a HashtableSlot.
 */
public class HashtableSlotContainer implements SlotContainer {
    /*properties***********************/
    protected Hashtable ht;
    /*Constructor*************************/
    /**
     * Creates a new instance.
     * @param _ht the Hashtable to store data in
     */
    public HashtableSlotContainer(Hashtable _ht) {
	ht = _ht;
    }
    /*SlotContainer***********************/
    public Slot getSlot(Object key) {
	return new HashtableSlot(ht, key);
    }
}
