/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: SimpleSlot.java,v 1.5 2001/08/20 09:23:38 max Exp $
 *
 */

package make.datamodel.slot;

import java.text.ParseException;

/**
 * This Slot implementation stores its data in a variable.
 * It performs no checks on the validity.
 */
public class SimpleSlot implements Slot {
    /*properties*****************************/
    protected Object value;
    /*Constructor**************************/
    /**
     * Creates a new SimpleSlot with null as initial value.
     */
    public SimpleSlot() {}
    /**
     * Creates a new SimpleSlot with a initial value.
     * @param _v the initial value
     */
    public SimpleSlot(Object _v) {
	value = _v;
    }
    /*Slot************************************/
    public void setValue(Object v) throws ParseException {
	value = v;
    }
    public Object getValue() throws ParseException {
	return value;
    }
}
