/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: SlotContainer.java,v 1.5 2001/08/20 09:23:38 max Exp $
 *
 */

package make.datamodel.slot;

/**
 * A slot container is a container for a number of slot
 * objects. They are identified by a key, this can be a name. For
 * example, in a database record, each column is a slot and the whole
 * record is represented by a slot container.
 */
public interface SlotContainer {
    /**
     * Finds the slot with the specified key.
     * @param key the key that will identify the slot
     * @return the Slot object that was found or null if none was found
     */
    Slot getSlot(Object key);
}
