/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: ArrayMessage.java,v 1.3 2001/08/20 09:23:38 max Exp $
 *
 */

package make.mime;

import java.util.Hashtable;
import java.io.IOException;
import java.io.InputStream;
import java.io.ByteArrayInputStream;

public class ArrayMessage extends AbstractMessage {
    /***properties****************/
    protected byte[] data;
    /***Constructor****************/
    public ArrayMessage(byte[] _d, Hashtable _header) {
	super(_header);
	data = _d;
	if (getHeader("Content-Length")==null)
	    setHeader("Content-Length", ""+data.length);
    }
    public ArrayMessage(byte[] _d, String type) {
	data = _d;
	setHeader("Content-Type", type);
	setHeader("Content-Length", ""+data.length);
    }
    /***Message***************/
    public InputStream getInputStream() 
	throws IOException {
	return new ByteArrayInputStream(data);
    }
}
