/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: Message.java,v 1.4 2001/08/20 09:23:38 max Exp $
 *
 */

package make.mime;

import java.util.Enumeration;
import java.io.IOException;
import java.io.InputStream;

/**
 * Message represents a MIME message. It has got a header,
 * and a content which can be accessed as a binary stream.
 */
public interface Message {
    /**
     * returns the value of the specified header.
     * @param name the name of the header field
     */
    String getHeader(String name);
    /**
     * returns a list of header names
     */
    Enumeration getHeaderNames();
    /**
     * @return an InputStream object where the caller can 
     *         read all the data. This method can only be called once
     *         in the lifetime of this object. 
     */
    InputStream getInputStream() 
	throws IOException;
}
