/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: URLConnectionMessage.java,v 1.3 2001/12/13 09:37:33 max Exp $
 *
 */

package make.mime;

import java.util.Enumeration;
import java.io.IOException;
import java.io.InputStream;
import java.net.URLConnection;

public class URLConnectionMessage implements Message {
    /*properties****************/
    protected URLConnection connection;
    protected InputStream inputStream;
    /*Constructor****************/
    public URLConnectionMessage(URLConnection _conn) 
        throws IOException {
        connection = _conn;
        inputStream = connection.getInputStream();
    }
    /*ContentBlock***************/
    public String getHeader(String name) {
        return connection.getHeaderField(name);
    }
    public Enumeration getHeaderNames() {
        return new Enumeration() {
                int idx = 0;
                public boolean hasMoreElements() {
                    return connection.getHeaderFieldKey(idx)!=null;
                }
                public Object nextElement() {
                    return connection.getHeaderFieldKey(idx++);
                }
            };
    }
    public InputStream getInputStream() 
        throws IOException {
        return inputStream;
    }
}
