/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: ConnectionFactory.java,v 1.1 2001/11/08 22:29:40 max Exp $
 *
 */

package make.sql;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * ConnectionFactory is an interface for objects that act as factory
 * for Connection objects, i.e. JDBC connections to SQL databases.
 * This is used by DatabaseModel to pool several connections.
 */
public interface ConnectionFactory {
    /**
     * Creates a new connection and returns it.
     */
    Connection createConnection() throws SQLException;
}
