/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: GrayTableCellRenderer.java,v 1.6 2001/08/20 09:23:39 max Exp $
 *
 */

package make.swing;

import java.awt.Component;
import java.awt.Color;
import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;

/**
 * TableCellRender implementation that renders every second
 * row in gray.
 */
public class GrayTableCellRenderer extends DefaultTableCellRenderer {
    /*properties***************************************/
    private static final Color unselectedBackground2 = new Color(232,232,232); 
    private Color unselectedBackground; 
    /*Constructor************************************/
    public void setBackground(Color c) {
        super.setBackground(c); 
        unselectedBackground = c; 
    }
    /*TableCellRenderer**********************************/ 
    public Component getTableCellRendererComponent(JTable table, Object value,
                          boolean isSelected, boolean hasFocus, int row, int column) {
	Component c = super.getTableCellRendererComponent
	    (table, value, isSelected, hasFocus, row, column);
	if (!isSelected) {
	    setOpaque(true);
	    if ((row%2)==1)
		super.setBackground(unselectedBackground2);
	    else
		super.setBackground(unselectedBackground);
	}
	return c;
    }
}
