/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: SingleSelectionAdapter.java,v 1.3 2001/08/20 09:23:39 max Exp $
 *
 */

package make.swing;

import javax.swing.ListSelectionModel;
import javax.swing.SingleSelectionModel;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

public class SingleSelectionAdapter implements ChangeListener {
    /***properties*************************/
    protected SingleSelectionModel source;
    protected ListSelectionModel dest;
    /***Constructor***********************/
    public SingleSelectionAdapter(SingleSelectionModel _src, 
				  ListSelectionModel _dest) {
	source = _src; dest = _dest;
	source.addChangeListener(this);
	stateChanged(null);
    }
    /***ChangeListener*********************/
    public void stateChanged(ChangeEvent evt) {
	int sel = source.getSelectedIndex();
	if (sel==-1) {
	    dest.setValueIsAdjusting(false);
	    dest.clearSelection();
	} else {
	    dest.setValueIsAdjusting(true);
	    dest.clearSelection();
	    dest.setValueIsAdjusting(false);
	    dest.setSelectionInterval(sel, sel);
	}
    }
}
