/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: ThreadAction.java,v 1.5 2001/08/20 09:23:39 max Exp $
 *
 */

package make.swing;

import java.beans.PropertyChangeListener;
import javax.swing.Action;

public class ThreadAction extends ThreadActionListener implements Action {
    /***properties*****************************/
    protected Action action;
    /***Constructor***************************/
    public ThreadAction(Action _a) {
	super(_a);
	action = _a;
    }
    /***Action******************************/
    public Object getValue(String key) { 
	return action.getValue(key); 
    }
    public void putValue(String key, Object value) {
	action.putValue(key, value);
    }
    public void setEnabled(boolean b) {
	action.setEnabled(b);
    }
    public boolean isEnabled() {
	return action.isEnabled();
    }
    public void addPropertyChangeListener(PropertyChangeListener listener) {
	action.addPropertyChangeListener(listener);
    }
    public void removePropertyChangeListener(PropertyChangeListener listener) {
	action.addPropertyChangeListener(listener);
    }
}
