/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: FieldLink.java,v 1.3 2001/08/20 09:23:39 max Exp $
 *
 */

package make.swing.field;

import java.awt.Component;
import java.text.ParseException;
import make.datamodel.slot.Slot;

public class FieldLink {
    /***properties**********************/
    protected Slot slot;
    protected Field field;
    /***Constructor**********************/
    public FieldLink(Slot _slot, Field _field) {
	slot = _slot; field = _field;
    }
    public FieldLink() {
	this(null, null);
    }
    public void setSlot(Slot _slot) {
	slot = _slot;
	reload();
    }
    public void setField(Field _field) {
	field = _field;
	reload();
    }
    /***Info************************/
    public Component getComponent() {
	return field.getComponent();
    }
    public Field getField() {
	return field;
    }
    /***FieldLink*************************/
    public void reload() {
	if (field!=null)
	    try {
		if (slot==null)
		    field.setValue(null);
		else {
		    Object v;
		    try {
			v = slot.getValue();
		    } catch (ParseException e) {
			v = null;
		    }
		    try {
			field.setValue(v);
		    } catch (ParseException e) {
			field.setValue(null);
		    }
		}
	    } catch (ParseException e) {
	    }
    }
    public void apply() throws ParseException {
	if (field!=null && slot!=null)
	    slot.setValue(field.getValue());
    }
    public void checkInput() throws ParseException {
	Object ov = null;
	try {
	    ov = slot.getValue();
	} catch (ParseException e) {
	}
	slot.setValue(field.getValue());
	try {
	    slot.setValue(ov);
	} catch (ParseException e) {
	}
    }
}
