/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: GridInputLink.java,v 1.6 2001/12/20 16:49:08 max Exp $
 *
 */

package make.swing.il;

import java.util.Enumeration;
import java.util.Locale;
import java.awt.Component;
import java.awt.GridLayout;
import java.awt.Dimension;
import javax.swing.JPanel;
import javax.swing.Box;
import org.w3c.dom.Element;

public class GridInputLink extends ContainerInputLink {
    /*properties*****************/
    protected JPanel panel;
    /*Constructor****************/
    public GridInputLink(Element vd, Element[] fsa,
                         Locale locale, InputLinkFactory ilf) {
        super(vd, locale);
        for (int z=0; z<fsa.length; z++) {
            InputLink il = ilf.createInputLink(fsa[z], locale);
            if (il!=null)
                fields.addElement(il);
        }
        panel = new JPanel(new GridLayout(2, fields.size()), false);
        for (Enumeration enum=fields.elements(); enum.hasMoreElements();) {
            InputLink il = (InputLink)enum.nextElement();
            Component label = il.getLabel();
            panel.add(label==null
                      ?Box.createRigidArea(new Dimension(2,2))
                      :label);
        }
        for (Enumeration enum=fields.elements(); enum.hasMoreElements();) {
            InputLink il = (InputLink)enum.nextElement();
            panel.add(il.getComponent());
        }
    }
    /*InputLink*************************/
    public Component getComponent() { return panel; }
}
