/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2002 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: ScrollPaneInputLink.java,v 1.1 2002/01/03 12:20:47 max Exp $
 *
 */

package make.swing.il;

import java.util.Locale;
import java.awt.Component;
import org.w3c.dom.Element;
import javax.swing.JScrollPane;
import make.xml.DOMUtil;

public class ScrollPaneInputLink 
    extends ContainerInputLink {
    /*properties*****************************/
    protected JScrollPane scrollPane;
    protected InputLink child;
    /*Constructor****************************/
    public ScrollPaneInputLink(Element vd, Locale locale,
                               InputLinkFactory ilf) {
        super(vd, locale);
        Element childEl = DOMUtil.getUniqueTagNS
            (vd, InputLinkFactory.XML_NAMESPACE, "child");
        Element[] chs = DOMUtil.getChildElements(childEl);
        child = ilf.createInputLink(chs[0], locale);
        fields.addElement(child);
        scrollPane = new JScrollPane(child.getComponent());
    }
    /*InputLink*************************/
    public Component getLabel() {
        Component thisLabel = super.getLabel();
        return thisLabel==null && child!=null
            ? child.getLabel()
            : thisLabel;
    }
    public Component getComponent() {
        return scrollPane;
    }
}
