/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: StaticInputLink.java,v 1.5 2001/08/20 09:23:39 max Exp $
 *
 */

package make.swing.il;

import java.awt.Component;
import java.text.ParseException;
import make.swing.ButtonManager;

public class StaticInputLink implements InputLink {
    /***properties****************************/
    protected Component component, label;
    /***Constructor**************************/
    public StaticInputLink(Component _c, Component _l) {
	component = _c; label = _l;
    }
    /***Widget*************************/
    public void setEnabled(boolean _e) {}
    public boolean getEnabled() { return true; }
    public Component getComponent() { return component; }
    public void dispose() { 
	component = null; label = null;
    }
    /***InputLink*************************/
    public void install(ButtonManager bm) {}
    public void uninstall(ButtonManager bm) {}
    public Component getLabel() { return label; }
    public void reload() {}
    public void apply() throws ParseException {}
    public void checkInput() throws ParseException {}
}
