/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: TabbedInputLink.java,v 1.5 2001/12/20 16:49:08 max Exp $
 *
 */

package make.swing.il;

import java.util.Locale;
import java.awt.Component;
import javax.swing.JTabbedPane;
import org.w3c.dom.Element;
import make.xml.DOMUtil;

public class TabbedInputLink extends ContainerInputLink {
    /*properties*****************/
    protected JTabbedPane tabbedPane = new JTabbedPane();
    /*Constructor****************/
    public TabbedInputLink(Element vd, Element[] fsa, Locale locale,
                           InputLinkFactory ilf) {
        super(vd, locale);
        for (int z=0; z<fsa.length; z++) {
            InputLink il = ilf.createInputLink(fsa[z], locale);
            if (il!=null) {
                String caption = DOMUtil.getElementStringNS
                    (fsa[z], InputLinkFactory.XML_NAMESPACE, "caption");
                String tooltip = DOMUtil.getElementStringNS
                    (fsa[z], InputLinkFactory.XML_NAMESPACE, "tooltip");
                fields.addElement(il);
                Component component = il.getComponent();
                tabbedPane.addTab(caption, null,
                                  component, tooltip);
            }
        }
    }
    /*InputLink*************************/
    public Component getComponent() {
        return tabbedPane;
    }
}
