/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: AppletInterfacePanel.java,v 1.3 2001/10/12 19:59:09 max Exp $
 *
 */

package make.swing.panel;

import java.awt.Component;
import java.awt.event.ActionEvent;
import javax.swing.JApplet;
import javax.swing.JMenuBar;
import javax.swing.Action;
import javax.swing.AbstractAction;

/**
 * This InterfacePanel implementation acts as wrapper
 * for a javax.swing.JApplet object.
 */
public class AppletInterfacePanel extends AbstractInterfacePanel {
    /*properties********************************/
    protected String title, fileName;
    protected JApplet applet;
    /*Constructor**********************************/
    public AppletInterfacePanel(JApplet _applet) {
	applet = _applet;
	initialize(null, applet, applet.getContentPane());
	getButtonManager().installActions(getActions());
    }
    /*AbstractInterfacePanel******************************/
    protected void setMenuBar(JMenuBar mb) {
	applet.setJMenuBar(mb);
	applet.validate();
    }
    /*InterfacePanel******************************/
    public void close() {
	getButtonManager().uninstallActions(getActions());
	super.close();
    }
    /*Actions*******************************************/
    protected Action[] getActions() {
	return defaultActions;
    }
    protected final Action[] defaultActions = {
	new ShowToolBarAction(),
    };
    class ShowToolBarAction extends AbstractAction {
	ShowToolBarAction() { super("show-toolbar"); }
        public void actionPerformed(ActionEvent e) {
	    Component c = getToolBar();
	    if (c!=null)
		c.setVisible(!c.isVisible());
	}
    }
}
