/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: ProxyInterfacePanel.java,v 1.1 2001/10/12 20:01:55 max Exp $
 *
 */

package make.swing.panel;

import java.awt.Frame;
import make.swing.ButtonManager;
import make.swing.bt.FrameDescription;
import make.swing.bt.ButtonContainer;

public class ProxyInterfacePanel implements InterfacePanel { 
    /*properties*****************************/
    protected InterfacePanel parent;
    /*Constructor**********************/
    protected ProxyInterfacePanel(InterfacePanel _par) {
	parent = _par;
    }
    /*InterfacePanel********************/
    public void setContent(PanelContent c) {
	parent.setContent(c);
    }
    public void addFrameDescription(FrameDescription fd) {
	parent.addFrameDescription(fd);
    }
    public void removeFrameDescription(FrameDescription fd) {
	parent.removeFrameDescription(fd);
    }
    public ButtonContainer getButtonContainer() {
	return parent.getButtonContainer();
    }
    public ButtonManager getButtonManager() {
	return parent.getButtonManager();
    }
    public void setTitle(String s) {
	parent.setTitle(s);
    }
    public Frame getFrame() {
	return parent.getFrame();
    }
    public void setVisible(boolean _visible) {
	parent.setVisible(_visible);
    }
    public void close() {
	parent.close();
    }
}
