/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: InternalFrameProgressIndicatorFactory.java,v 1.2 2001/08/20 09:23:39 max Exp $
 *
 */

package make.swing.progress;

import javax.swing.JDesktopPane;
import javax.swing.JInternalFrame;
import make.swing.StatusWindow;

public class InternalFrameProgressIndicatorFactory
    implements ProgressIndicatorFactory {
    public class InternalFrameStatus extends StatusWindow {
	protected JInternalFrame frame;
	public InternalFrameStatus(String _text, String _title, int _wait, 
				   boolean _cancel, Thread _jobThread) {
	    super(_text, _title, _wait, _cancel, _jobThread);
	}
	public InternalFrameStatus(String _text, String _title, int _wait, 
				   boolean _cancel) {
	    super(_text, _title, _wait, _cancel);
	}
	protected void createFrame() {
	    frame = new JInternalFrame(title);
	    frame.getContentPane().add("Center", createPanel());
	    frame.pack();
	    frame.setVisible(true);
	    frame.toFront();

	}
	public void run() {
	    try {
		super.run();
	    } finally {
		if (frame!=null) {
		    frame.dispose();
		    frame = null;
		}
	    }
	}
    }
    /*properties************************/
    protected JDesktopPane desktop;
    /*Constructor**********************/
    public InternalFrameProgressIndicatorFactory(JDesktopPane _desk) {
	desktop = _desk;
    }
    /*ProgressIndicatorFactory***************/
    public ProgressIndicator create(String text, String title, 
				    boolean cancelButton, Thread job) {
	if (job==null)
	    return new InternalFrameStatus(text, title, 100,
					   cancelButton);
	else
	    return new InternalFrameStatus(text, title, 100,
					   cancelButton, job);
    }
}
