/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: Caret.java,v 1.5 2001/08/20 09:23:39 max Exp $
 *
 */

package make.swing.text;

import java.awt.Graphics;
import java.awt.Point;
import javax.swing.event.ChangeListener;

public interface Caret {
    // constructor
    void install(TextComponent c);
    void deinstall(TextComponent c);
    // event
    void addChangeListener(ChangeListener l);
    void removeChangeListener(ChangeListener l);
    void setBlinkRate(int rate);
    int getBlinkRate();
    // visual
    void paint(Graphics g);
    boolean isVisible();
    void setVisible(boolean v);
    boolean isSelectionVisible();
    void setSelectionVisible(boolean v);
    // position
    void setMagicCaretPosition(Point p);
    Point getMagicCaretPosition();
    int getDot();
    int getMark();
    void setDot(int dot);
    void moveDot(int dot);
}
