/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: EditorKit.java,v 1.4 2001/08/20 09:23:39 max Exp $
 *
 */

package make.swing.text;

import javax.swing.Action;
import make.swing.text.view.ViewFactory;

public interface EditorKit {
    /***CONST*******************************************/
    String insertContentAction = "insert-content";
    String insertBreakAction = "insert-hardbreak";
    String insertSoftBreakAction = "insert-break";
    String deletePrevCharAction = "delete-previous";
    String deleteNextCharAction = "delete-next";
    String beepAction = "beep";
    String pageUpAction = "page-up";
    String pageDownAction = "page-down";
    String selectionPageUpAction = "selection-page-up";
    String selectionPageDownAction = "selection-page-down";
    String forwardAction = "caret-forward";
    String backwardAction = "caret-backward";
    String selectionForwardAction = "selection-forward";
    String selectionBackwardAction = "selection-backward";
    String upAction = "caret-up";
    String downAction = "caret-down";
    String selectionUpAction = "selection-up";
    String selectionDownAction = "selection-down";
    String beginWordAction = "caret-begin-word";
    String endWordAction = "caret-end-word";
    String selectionBeginWordAction = "selection-begin-word";
    String selectionEndWordAction = "selection-end-word";
    String previousWordAction = "caret-previous-word";
    String nextWordAction = "caret-next-word";
    String selectionPreviousWordAction = "selection-previous-word";
    String selectionNextWordAction = "selection-next-word";
    String beginLineAction = "caret-begin-line";
    String endLineAction = "caret-end-line";
    String selectionBeginLineAction = "selection-begin-line";
    String selectionEndLineAction = "selection-end-line";
    String beginParagraphAction = "caret-begin-paragraph";
    String endParagraphAction = "caret-end-paragraph";
    String selectionBeginParagraphAction = "selection-begin-paragraph";
    String selectionEndParagraphAction = "selection-end-paragraph";
    String beginAction = "caret-begin";
    String endAction = "caret-end";
    String selectionBeginAction = "selection-begin";
    String selectionEndAction = "selection-end";
    String selectWordAction = "select-word";
    String selectLineAction = "select-line";
    String selectParagraphAction = "select-paragraph";
    String selectAllAction = "select-all";
    String unselectAction = "unselect";
    String defaultKeyTypedAction = "default-typed";
    String cutAction = "cut-to-clipboard";
    String copyAction = "copy-to-clipboard";
    String pasteAction = "paste-from-clipboard";
    String undoAction = "undo";
    String redoAction = "redo";
    String paintAllAction = "paint-all";
    String replaceTextAction = "replace-text";
    /***EditorKit*******************************************/
    void install(TextComponent c);
    void deinstall(TextComponent c);
    ViewFactory getViewFactory();
    Action getDefaultAction();
    Caret createCaret();
}
