/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: TextUI.java,v 1.4 2001/08/20 09:23:39 max Exp $
 *
 */

package make.swing.text;

import java.awt.Point;
import java.awt.Rectangle;
import java.awt.Font;
import javax.swing.plaf.ComponentUI;
import javax.swing.text.BadLocationException;
import make.swing.text.view.View;

public abstract class TextUI extends ComponentUI {
    public abstract Rectangle modelToView(TextComponent t, int pos) 
	throws BadLocationException;
    public abstract int viewToModel(TextComponent t, Point pt);
    public abstract int getRowStart(TextComponent target, int pos);
    public abstract int getRowEnd(TextComponent target, int pos);
    public abstract int getNextVisualPositionFrom(TextComponent t,
						  int pos, int direction)
	throws BadLocationException;
    public abstract void rebuild();
    public abstract void damageRange(TextComponent t, int p0, int p1);
    public abstract EditorKit getEditorKit(TextComponent t);
    public abstract View getRootView(TextComponent t);
    public abstract Font getFont(TextComponent t, Element el);
}
