/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: CursorString.java,v 1.3 2001/08/20 09:23:39 max Exp $
 *
 */

package make.util;

public class CursorString {
    /***properties********************/
    protected char[] data;
    protected int pos;
    /***Constructor************************/
    public CursorString(char[] _d, int _p) {
	data = _d; pos = _p;
    }
    public CursorString(String _d, int _p) {
	this(_d.toCharArray(), _p);
    }
    /***CursorString*************************/
    public char next() {
	pos = Math.min(pos+1, data.length);
	return current();
    }
    public char previous() {
	pos = Math.max(pos-1, 0);
	return current();
    }
    public char get(int rel) {
	rel += pos;
	return rel>=0 && rel<data.length
	    ?data[rel]
	    :(char)0;
    }
    public char current() {
	return get(0);
    }
    public void seek(char c) {
	while (pos<data.length && data[pos]!=c)
	    pos++;
    }
    public boolean find(char c) {
	int p2 = pos;
	while (p2<data.length && data[p2]!=c)
	    p2++;
	return p2<data.length;
    }
    public String toString() {
	return "[CursorString data='"+new String(data)+"' pos="+pos+"]";
    }
}
