/*
 *
 *  MakeLib
 *  Copyright (c) 1997-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation;
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: XPathUtil.java,v 1.6 2001/08/20 09:23:39 max Exp $
 *
 */

package make.xml;

import org.w3c.dom.Node;
import javax.xml.transform.TransformerException;
import org.apache.xpath.XPath;
import org.apache.xpath.XPathAPI;
import org.apache.xpath.XPathContext;
import org.apache.xpath.objects.XObject;

public abstract class XPathUtil {
    /***static*****************************/
    public static XPathContext xpathSupport;
    /***Static**************************/
    public static XPath parse(String s) 
	throws TransformerException {
	if (xpathSupport==null)
	    xpathSupport = new XPathContext();
	return new XPath(s, null, null, XPath.SELECT, null);
    }
    public static XObject execute(String s, Node ctx)
	throws TransformerException {
	return XPathAPI.eval(ctx, s, (Node)null);
    }
    public static XObject execute(XPath xp, Node ctx)
	throws TransformerException {
	if (xpathSupport==null)
	    xpathSupport = new XPathContext();
	return xp.execute(xpathSupport, ctx, null);
    }
}
